
Redmine - Defect #12310

Attachments may not be displayed in the order they were selected

2012-11-06 13:34 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 2.2.0   

Resolution: Fixed Affected version:  

Description

In redmine 1.xxx if I attach images to issue in order imageA, imageB, I see them in issue in the same order.

In redmine 2.1.2 I see them in order imageB, imageA. And it's became very inconvenient for attachment step-by-step instructions

with images.

Wanted behaviour: show attached to issue files in a order they were attached.

Associated revisions

Revision 10792 - 2012-11-07 19:06 - Jean-Philippe Lang

Make sure that #attachments returns attachments with same timestamp in the order they were created (#12310).

Revision 10793 - 2012-11-07 19:45 - Jean-Philippe Lang

Make sure that attachments are created in the same order they were selected (#12310).

Revision 10822 - 2012-11-17 09:58 - Jean-Philippe Lang

Backported r10792 and r10793 from trunk (#12310).

History

#1 - 2012-11-06 14:01 - Toshi MARUYAMA

- Category set to Attachments

#2 - 2012-11-06 21:07 - Jean-Philippe Lang

Boris Tsema wrote:

In redmine 1.xxx if I attach images to issue in order imageA, imageB, I see them in issue in the same order.

 Is it in the case when you attach imageA and imageB at the same time? Or do you upload imageA then upload imageB?

#3 - 2012-11-06 21:26 - Anonymous

In the same time.

That's why it's especially inconvinient, because if I attach step1.png, step2.png at one time and then attach step3.png I'll see this order: step2.png,

step1.png, step3.png.

#4 - 2012-11-07 19:47 - Jean-Philippe Lang

- Subject changed from Reversed attachments order to Attachments are not displayed in the order they were selected

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.1.3

- Resolution set to Fixed

Works for me but I guess it can happen for several reasons. This should be fixed with r10792 and r10793.

#5 - 2012-11-15 09:11 - Daniel Felix

- Status changed from Resolved to Closed
https://www.redmine.org/projects/redmine/repository/svn/revisions/10792
https://www.redmine.org/projects/redmine/repository/svn/revisions/10793


#6 - 2012-11-15 09:30 - Toshi MARUYAMA

- Status changed from Closed to Reopened

Not yet merged 2.1-stable branch.

#7 - 2012-11-17 09:58 - Jean-Philippe Lang

- Status changed from Reopened to Closed

- Target version changed from 2.1.3 to 2.2.0

Merged in 2.1-stable.

#8 - 2012-11-17 09:58 - Jean-Philippe Lang

- Subject changed from Attachments are not displayed in the order they were selected to Attachments may not be displayed in the order they were

selected
